*graphical options;
options nodate nonumber ls=78;

*This is the path, where the macros are stored;
%let path_tp=%str(G:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\macros);

*libname of input data;
libname in "G:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\data";

*include twophase-Macro;
%include "&path_tp.\twophase.sas";

data ohio_ph1;
        set in.ohio1;
        s=age+1;
run;

data ohio_ph2;
        set in.ohio2;
        s=age+1;
run;

*Cases and controls in different observations;
data ohio_ph1;
        length count 7.;
        set ohio_ph1(drop=nondeath rename=death=count in=a)
        ohio_ph1(drop=death rename=nondeath=count);
        if a then caco=1; else caco=0;
run;

data ohio_ph2;
        set ohio_ph2 (drop=nondeath rename=death=weights in=a)
           ohio_ph2 (drop=death rename=nondeath=weights);
        if a then caco=1; else caco=0;
        age1=(age=1);
        age2=(age=2);
run;

%twophase(folder      =&path_tp,
          path_ph1    =ohio_ph1,
          path_ph2    =ohio_ph2,
          methods     =wl pl_bc pl_sch ml_em ml_sw,
          compare     =1,
          outest      =1,
          caco        =caco,
          svar        =s,
          counts_ph1  =count,
          weights_ph2 =weights,
          regr        =age1 age2 race sex);
